po2prop(1)

NAME
po2prop - script that converts a .po file with translations based on a .pot file generated from a Mozilla localization .properties back to the .properties (but translated) Uses the original .properties to do the conversion as this makes sure we don't leave out any unexpected stuff...

SYNOPSIS

po2prop [--version] [-h|--help] [--manpage] [--progress PROGRESS] [--errorlevel ERRORLEVEL] [-i|--input] INPUT [-x|--exclude EXCLUDE] [-o|--output] OUTPUT [-t|--template TEMPLATE] [--psyco MODE] [--personality TYPE] [--fuzzy] [--nofuzzy]

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

--manpage
    output a manpage based on the help

--progress=PROGRESS
    show progress as: dots, none, bar, names, verbose

--errorlevel=ERRORLEVEL
    show errorlevel as: none, message, exception, traceback

-iINPUT, --input=INPUT
    read from INPUT in po, pot formats

-xEXCLUDE, --exclude=EXCLUDE
    exclude names matching EXCLUDE from input paths

-oOUTPUT, --output=OUTPUT
    write to OUTPUT in properties format

-tTEMPLATE, --template=TEMPLATE
    read from TEMPLATE in properties format

--psyco=MODE
    use psyco to speed up the operation, modes: none, full, profile

--personality=TYPE
    set the output behaviour: java (default), mozilla

--fuzzy
    use translations marked fuzzy

--nofuzzy
    don't use translations marked fuzzy (default)